using System;
using System.Runtime.Serialization;
using SqlSugar;

namespace WCS.Entity.Protocol
{
    /// <summary>
    ///     时序数据库TDengine基础实体
    /// </summary>
    public class QuestDBBaseEntity
    {
        [DataMember(Order = 0)]
        [TimeDbSplitField(DateType.Month)]
        public DateTime Frame { get; set; }

        [DataMember(Order = 1)]
        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        public string ExtraField1 { get; set; }

        public string ExtraField2 { get; set; }

        public string ExtraField3 { get; set; }
    }
}